> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# View a driver

GET https://ssuccessv2.com/app/api/v1/bussing/driver/{id}

Returns one transportation driver and the addresses associated with the driver.

Reference: https://docs.schoolset.io/api-reference/school-set-api/bussing-drivers/get-bussing-driver

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Driver ID.

## Response

### 200

Driver details.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV1BussingDriverIdGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

User cannot view bussing.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Driver not found.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV1BussingDriverIdGetResponsesContentApplicationJsonSchemaData

- `id` (integer, optional)
- `name` (string, optional)
- `phone` (string, optional, nullable)
- `email` (string, optional, nullable)
- `addresses` (list of ApiV1BussingDriverIdGetResponsesContentApplicationJsonSchemaDataAddressesItems, optional)
- `created_by` (string, optional, nullable)

### ApiV1BussingDriverIdGetResponsesContentApplicationJsonSchemaDataAddressesItems

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": {
    "id": 27,
    "name": "Maria Rodriguez",
    "phone": "+1-555-0142",
    "email": "maria.rodriguez@example.com",
    "addresses": [
      {
        "id": 91,
        "components": [],
        "splitted": {
          "zip": "10001",
          "country": "US",
          "state": "NY",
          "city": "New York",
          "address_line_1": "125 Schoolhouse Road",
          "address_line_2": ""
        },
        "formatted": "125 Schoolhouse Road, New York, NY 10001",
        "longitude": -73.9967,
        "latitude": 40.7484,
        "custom_longitude": null,
        "custom_latitude": null,
        "original_longitude": -73.9967,
        "original_latitude": 40.7484,
        "tag": "home"
      }
    ],
    "created_by": "Jordan Lee"
  }
}
```

**SDK Code**

```python Bussing drivers_getBussingDriver_example
import requests

url = "https://ssuccessv2.com/app/api/v1/bussing/driver/27"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Bussing drivers_getBussingDriver_example
const url = 'https://ssuccessv2.com/app/api/v1/bussing/driver/27';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Bussing drivers_getBussingDriver_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/bussing/driver/27"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Bussing drivers_getBussingDriver_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/bussing/driver/27")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Bussing drivers_getBussingDriver_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v1/bussing/driver/27")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Bussing drivers_getBussingDriver_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v1/bussing/driver/27', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Bussing drivers_getBussingDriver_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/bussing/driver/27");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Bussing drivers_getBussingDriver_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/bussing/driver/27")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```